org.icefaces.ace.context

## Class CallbackPartialResponseWriter

- java.lang.Object
- - java.io.Writer
  - - javax.faces.context.ResponseWriter
    - - javax.faces.context.ResponseWriterWrapper
      - - javax.faces.context.PartialResponseWriter
        - - org.icefaces.ace.context.CallbackPartialResponseWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable, javax.faces.FacesWrapper<javax.faces.context.ResponseWriter>

      public class CallbackPartialResponseWriter
      extends javax.faces.context.PartialResponseWriter

- - ### Field Summary

    - ### Fields inherited from class javax.faces.context.PartialResponseWriter

      `RENDER_ALL_MARKER, VIEW_STATE_MARKER`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallbackPartialResponseWriter(javax.faces.context.PartialResponseWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(java.lang.String targetId)`
    `void` | `endDocument()`
    `void` | `endError()`
    `void` | `endEval()`
    `void` | `endExtension()`
    `void` | `endInsert()`
    `void` | `endUpdate()`
    `void` | `redirect(java.lang.String url)`
    `void` | `startDocument()`
    `void` | `startError(java.lang.String errorName)`
    `void` | `startEval()`
    `void` | `startExtension(java.util.Map<java.lang.String,java.lang.String> attributes)`
    `void` | `startInsertAfter(java.lang.String targetId)`
    `void` | `startInsertBefore(java.lang.String targetId)`
    `void` | `startUpdate(java.lang.String targetId)`
    `void` | `updateAttributes(java.lang.String targetId, java.util.Map<java.lang.String,java.lang.String> attributes)`

    - ### Methods inherited from class javax.faces.context.PartialResponseWriter

      `getWrapped`

    - ### Methods inherited from class javax.faces.context.ResponseWriterWrapper

      `cloneWithWriter, close, endCDATA, endElement, flush, getCharacterEncoding, getContentType, startCDATA, startElement, write, writeAttribute, writeComment, writeText, writeText, writeText, writeURIAttribute`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallbackPartialResponseWriter

          public CallbackPartialResponseWriter(javax.faces.context.PartialResponseWriter writer)

  - ### Method Detail

    - #### endDocument

          public void endDocument()
                           throws java.io.IOException

      Overrides:
        `endDocument` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### delete

          public void delete(java.lang.String targetId)
                      throws java.io.IOException

      Overrides:
        `delete` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### endError

          public void endError()
                        throws java.io.IOException

      Overrides:
        `endError` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### endEval

          public void endEval()
                       throws java.io.IOException

      Overrides:
        `endEval` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### endExtension

          public void endExtension()
                            throws java.io.IOException

      Overrides:
        `endExtension` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### endInsert

          public void endInsert()
                         throws java.io.IOException

      Overrides:
        `endInsert` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### endUpdate

          public void endUpdate()
                         throws java.io.IOException

      Overrides:
        `endUpdate` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### redirect

          public void redirect(java.lang.String url)
                        throws java.io.IOException

      Overrides:
        `redirect` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### startDocument

          public void startDocument()
                             throws java.io.IOException

      Overrides:
        `startDocument` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### startError

          public void startError(java.lang.String errorName)
                          throws java.io.IOException

      Overrides:
        `startError` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### startEval

          public void startEval()
                         throws java.io.IOException

      Overrides:
        `startEval` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### startExtension

          public void startExtension(java.util.Map<java.lang.String,java.lang.String> attributes)
                              throws java.io.IOException

      Overrides:
        `startExtension` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### startInsertAfter

          public void startInsertAfter(java.lang.String targetId)
                                throws java.io.IOException

      Overrides:
        `startInsertAfter` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### startInsertBefore

          public void startInsertBefore(java.lang.String targetId)
                                 throws java.io.IOException

      Overrides:
        `startInsertBefore` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### startUpdate

          public void startUpdate(java.lang.String targetId)
                           throws java.io.IOException

      Overrides:
        `startUpdate` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

    - #### updateAttributes

          public void updateAttributes(java.lang.String targetId,
                                       java.util.Map<java.lang.String,java.lang.String> attributes)
                                throws java.io.IOException

      Overrides:
        `updateAttributes` in class `javax.faces.context.PartialResponseWriter`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.